version: '3'
services:
  mongodb:
    container_name: mongodb
    image: mongo:latest
    ports:
      - 27017:27017
    volumes:
      - mongodb_data_container:/data/db
  web:
    container_name: client
    build: ./client
    ports:
      - "3000:3000"
    stdin_open: true
  api: 
    container_name: server
    build: ./server
    ports:
      - 3001:3001
    depends_on:
      - mongodb
volumes:
  mongodb_data_container:
